---
title: orientation
slug: Web/CSS/@media/orientation
tags:
  - '@media'
  - CSS
  - Media Queries
  - NeedsBrowserCompatibility
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>orientation</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the orientation of the {{glossary("viewport")}} (or the page box, for <a href="/en-US/docs/Web/CSS/Paged_media">paged media</a>).</p>

<div class="note">
<p><strong>Note:</strong> This feature does not correspond to <em>device</em> orientation. Opening the soft keyboard on many devices in portrait orientation will cause the viewport to become wider than it is tall, thereby causing the browser to use landscape styles instead of portrait.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<p>The <code>orientation</code> feature is specified as a keyword value chosen from the list below.</p>

<h3 id="Keyword_values">Keyword values</h3>

<dl>
 <dt><code>portrait</code></dt>
 <dd>The viewport is in a portrait orientation, i.e.,  the height is greater than or equal to the width.</dd>
 <dt><code>landscape</code></dt>
 <dd>The viewport is in a landscape orientation, i.e., the width is greater than the height.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;div&gt;Box 1&lt;/div&gt;
&lt;div&gt;Box 2&lt;/div&gt;
&lt;div&gt;Box 3&lt;/div&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">body {
  display: flex;
}

div {
  background: yellow;
}

@media (orientation: landscape) {
  body {
    flex-direction: row;
  }
}

@media (orientation: portrait) {
  body {
    flex-direction: column;
  }
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#orientation', 'orientation')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>No change.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#orientation', 'orientation')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.orientation")}}</p>
